{
  description = "marleyOS";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    alejandra = {
      url = "github:kamadorueda/alejandra/3.0.0";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { nixpkgs, home-manager, ... }@inputs: {
    homeConfigurations."marley" = let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in home-manager.lib.homeManagerConfiguration {
      inherit system;
      inherit pkgs;
      inherit inputs;

      modules = [ ./home ];
    };
  };
}
